## golang-github-heroku-docker-registry-client 0.0~git20211012.9463674

=== Makefile ===
PKG_SPEC = ./registry/...
MOD = -mod=readonly
GOTEST = go test $(MOD)
GOTEST_COVERAGE_OPT = -coverprofile=coverage.txt -covermode=atomic
TOOLS_DIR = $(shell git rev-parse --show-toplevel)/.tools
GOBUILD = go build $(MOD)

ENV ?= development
LINT_RUN_OPTS ?= --fix
override GOTEST_OPT += -timeout 30s

.DEFAULT_GOAL := precommit

$(TOOLS_DIR)/golangci-lint: go.mod go.sum tools.go
	$(GOBUILD) -o $(TOOLS_DIR)/golangci-lint github.com/golangci/golangci-lint/cmd/golangci-lint

.PHONY: vars
vars:
	@echo "PKG_SPEC=$(PKG_SPEC)"
	@echo "MOD=$(MOD)"
	@echo "GOTEST=$(GOTEST)"
	@echo "COVERAGE_OPT=$(COVERAGE_OPT)"
	@echo "TOOLS_DIR=$(TOOLS_DIR)"
	@echo "GOBUILD=$(GOBUILD)"
	@echo "ENV=$(ENV)"

.PHONY: precommit
precommit: lint test coverage 

.PHONY: lint
lint: $(TOOLS_DIR)/golangci-lint
	$(TOOLS_DIR)/golangci-lint run $(LINT_RUN_OPTS)

.PHONY: coverage
coverage:
	$(GOTEST) $(GOTEST_OPT) $(GOTEST_COVERAGE_OPT) $(PKG_SPEC)
	go tool cover -html=coverage.txt -o coverage.html

.PHONY: test
test:
	$(GOTEST) $(GOTEST_OPT) $(PKG_SPEC)

=== debian/changelog ===
golang-github-heroku-docker-registry-client (0.0~git20211012.9463674-2) unstable; urgency=medium

  * Source-only upload for migration

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 04 Feb 2024 13:39:13 +0000

golang-github-heroku-docker-registry-client (0.0~git20211012.9463674-1) unstable; urgency=medium

  * Initial release (Closes: #1061709)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 01 Feb 2024 23:29:17 +0000

=== debian/control ===
Source: golang-github-heroku-docker-registry-client
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <gibmat@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-docker-distribution-dev,
               golang-github-opencontainers-go-digest-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-heroku-docker-registry-client
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-heroku-docker-registry-client.git
Homepage: https://github.com/heroku/docker-registry-client
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/heroku/docker-registry-client

Package: golang-github-heroku-docker-registry-client-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-docker-distribution-dev,
         golang-github-opencontainers-go-digest-dev,
         ${misc:Depends}
Description: Client for the v2 Docker Registry API
 This library provides an API client for the V2 Docker Registry API.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/heroku/docker-registry-client.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
#  https://github.com/heroku/docker-registry-client/tags .*/v?(\d\S*)\.tar\.gz debian
